/*=============================================
EDITAR  TRABAJADOR
=============================================*/
$(document).on("click", ".btnEditarTrabajador", function(){

	var idTrabajador = $(this).attr("idTrabajador");
	
	var datos = new FormData();
	datos.append("idTrabajador", idTrabajador);

	$.ajax({

		url:"ajax/trabajador.ajax.php",
		method: "POST",
		data: datos,
		cache: false,
		contentType: false,
		processData: false,
		dataType: "json",
		success: function(respuesta){
			
			$("#editarDNI").val(respuesta["dni"]);
			$("#editarNombre").val(respuesta["nombre"]);
            $("#editarDireccion").val(respuesta["direccion"]);
            $("#editarTelefono1").val(respuesta["telefono"]);
            $("#editarCorreo").val(respuesta["email"]);
            $("#editarFecha").val(respuesta["fecha_ingreso"]);
            $("#idTrabajador").val(respuesta["id_empleado"]);
			$("#estado").val(respuesta["estado"]);
				
		}

	});

})

/*=============================================
ELIMINAR TRABAJADOR
=============================================*/
$(document).on("click", ".btnEliminarTrabajador", function(){

	var idTrabajador = $(this).attr("idTrabajador");
  
	swal({
	  title: '¿Está seguro de borrar el Trabajador?',
	  text: "¡Si no lo está puede cancelar la accíón!",
	  type: 'warning',
	  showCancelButton: true,
	  confirmButtonColor: '#3085d6',
		cancelButtonColor: '#d33',
		cancelButtonText: 'Cancelar',
		confirmButtonText: 'Si, borrar Trabajador!'
	}).then(function(result){
  
	  if(result.value){
  
		window.location = "index.php?ruta=empleado&idTrabajador="+idTrabajador;
  
	  }
  
	})
  
  })

  $("#documento1").change(function(){

	var documento = $(this).val();

	if(documento == "" ){

		$(this).parent().parent().parent().removeClass('col-xs-6');
		$(this).parent().parent().parent().parent().children('.documentos').html(

			'<div class="col-md-12" >'+
					   
			   '<div class="input-group">'+
					
				 '<input type="hidden" class="form-control"  required>'+
				 
			   '</div>'+

			 '</div>')

	}else if (documento == "RUC"){

		$(this).parent().parent().parent().removeClass('col-xs-6');
		$(this).parent().parent().parent().parent().children('.documentos').html(
		
					'<label>RUC:</label>'+
							
					'<div class="input-group mb-3">'+

							'<div class="input-group-append"><div class="input-group-text"><span class="fas fa-file-alt"></span></div></div>'+
						
							'<input type="text" class="form-control input-lg nuevoID" name="nuevoDNI" id="nuevoDocumento" maxlength="11"  minlength="11" placeholder="Ingresar Numero Documento" pattern="[0-9]+" required>'+

				'</div>')


	} else {

		$(this).parent().parent().parent().removeClass('col-xs-6');
		$(this).parent().parent().parent().parent().children('.documentos').html(
		
					'<label>DNI:</label>'+	
	

						'<div class="input-group mb-3">'+
						
							'<div class="input-group-append"><div class="input-group-text"><span class="fas fa-file-alt"></span></div></div>'+
						
							'<input type="text" class="form-control input-lg nuevoID" name="nuevoDNI" id="nuevoDocumento" maxlength="8"  minlength="8" placeholder="Ingresar Numero Documento" pattern="[0-9]+" required>'+
				'</div>')
	}

	 /*=============================================
        REVISAR SI EL TRABAJADOR YA ESTÁ REGISTRADO
        =============================================*/

        $(".nuevoID").change(function(){

			console.log("hola");
            $(".alert").remove();
            var empleado = $(this).val();
            var datos = new FormData();
            datos.append("validarTrabajador", empleado);
            $.ajax({
                url:"ajax/trabajador.ajax.php",
                method:"POST",
                data: datos,
                cache: false,
                contentType: false,
                processData: false,
                dataType: "json",
                success:function(respuesta){
                    
                    if(respuesta){

                        $(".nuevoID").parent().after('<div class="alert alert-warning">Este Ruc o DNI ya existe en la base de datos</div>');

                        $(".nuevoID").val("");

                    }

                }

            })
        })


})


$(".nombre").change(function(){

	$(".alert").remove();
	var input = $(this).val();

	if(input.length < 3) {

		$(".nombre").parent().after('<div class="alert alert-warning">EL NOMBRE DEBE CONTENER MINIMO 3 LETRAS </div>');

		$(".nombre").val("");
	}
	
})

$(".direccion").change(function(){
	
	$(".alert").remove();
	var input = $(this).val();

	if(input.length < 10) {

		$(".direccion").parent().after('<div class="alert alert-warning">LA DIRECCION DEBE CONTENER COMO MINIMO 10 LETRAS </div>');

		$(".direccion").val("");
	}
	
})


